{% extends "siswa/userbase.html.twig" %}

{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Informasi Pembayaran
        {% endblock %}
    {% endembed %}

    {% embed 'siswa/bottomNavBar.html.twig' %}
        {% set state = 6 %}
    {% endembed %}
    <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pesanan" role="tabpanel" aria-labelledby="pills-home-tab">
                    <section class="mt-3" id="pesanan-panel">
                        <div class="scrolling-wrapper ">
                            <div style="border: none !important;" class="items pl-3">
                                <input class="checkbox-jam check-status" type="radio" name="type" id="belum" value="0"
                                       checked>
                                <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                                       for="belum">
                                    <p class="mb-0 f08">Menunggu</p>
                                </label>
                            </div>
                            <div style="border: none !important;" class="items">
                                <input class="checkbox-jam check-status" type="radio" name="type" id="bayar" value="1">
                                <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                                       for="bayar">
                                    <p class="mb-0 f08">Selesai</p>
                                </label>
                            </div>
                            <div style="border: none !important;" class="items">
                                <input class="checkbox-jam check-status" type="radio" name="type" id="gagal" value="6">
                                <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                                       for="gagal">
                                    <p class="mb-0 f08">Gagal</p>
                                </label>
                            </div>
                        </div>
                    </section>
        <section class="container-fluid mt-3" id="panel-transaction">
        </section>
    </div>
    <div id="content">

    </div>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>

        function tryoutReg(v) {

            let title = v['tryOutRegistrant'][0]['tryOut']['title'];
            let start = v['tryOutRegistrant'][0]['tryOut']['startDay'] || "-";
            let final = v['tryOutRegistrant'][0]['tryOut']['finalDay'] || "-";


            return '<div class="mb-0">' +
                '<p class="mb-1 font-weight-bold ">' + title + '</p>' +
                '<div class="d-flex">' +
                '<p style="width: 5em" class="f08 mb-1">Mulai </p>' +
                '<p class="mb-1 f08 ">: ' + start + '</p>' +
                '</div>' +

                '<div class="d-flex">' +
                '<p style="width: 5em" class="f08 mb-1">Berakhir </p>' +
                '<p class="mb-1 f08 ">: ' + final + '</p>' +
                '</div>' +


                '</div>';

        }

        function cartLes(v) {
            if (v['cart'].length > 0) {
                let avatar = v['cart'][0]['subscription']['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
                let name = v['cart'][0]['subscription']['skill']['user']['profile']['name'];
                let category = v['cart'][0]['subscription']['skill']['category']['name'];
                let level = v['cart'][0]['subscription']['skill']['level']['name'];
                let isPaid = 'Menunggu';
                if(v['isPaid'] === true ){
                    isPaid = 'Selesai';
                }else if (v['isPaid'] === false){
                    isPaid = 'Gagal';
                }else{
                    isPaid = 'Menunggu';
                }
                return '<div class="mb-0 w-100"><div class="header-profile mb-1">\n' +
                    '                            <div class="gambar-div-sm">\n' +
                    '                                <img src="' + avatar + '">\n' +
                    '                            </div>\n' +
                    '                            <div class="content w-100">\n' +
                    '<div class="d-flex justify-content-between ">'+
                    '                            <div class="content">\n' +
                    '                                <p class="subtitle mb-0">No. Pembayaran: #' + v['id'] + '</p>\n' +
                    '                                <p class="title">' + name + '</p>\n' +
                     '                                <p class="subtitle mb-0 ">' + category + ' - ' + level + '</p>\n' +

                    // '<div class="f08">Status Pembayaran : ' + isPaid + '</div>' +
                                   '</div>' +
                                                                     // '<a href="/member/invoice/detail/'+v['id']+'">Detail</a>' +

                                                      '                        </div>' +


                    // '<div class="text-right"><a href="/member/invoice/detail/'+v['id']+'">Detail</a></div>' +
                    '                            </div>\n' +
                    '                        </div>' +
                    '</div>';
            }
        }

        function paymentContent(v) {

            let {id, slug, amount} = v;
            let cartEl = '';
            switch (slug) {
                case 'cart':
                    cartEl = cartLes(v);
                    break;
                       case 'tryOutRegistrant':
                    cartEl = tryoutReg(v);
                default:
                    break;
            }
            return '<div class="card-invoice" data-slug="'+slug+'" data-id="' + id + '" style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">\n' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">\n' +
                '<div class="d-flex justify-content-between align-items-start">\n' +
                cartEl +

                '                        </div>\n' +
                '                    </div>\n' +
                '                    <div style="padding: 1em">\n' +
                '                        <div class="d-flex justify-content-between">\n' +
                '                            <div>\n' +
                '                                <p class="text-black-50 f08 mb-0 font-weight-bold">Total Pembayaran</p>\n' +
                '                            </div>\n' +
                '                            <p class="t-accent font-weight-bold f10 mb-0">Rp. ' + formatUang(amount) + '</p>\n' +
                '                        </div>\n' +
                '                    </div>\n' +
                '                </div>';
        }

        function emptyContent(text = 'Tidak Ada Data Pembayaran') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        async function getPaymentList() {
            let el = $('#panel-transaction');
            let status = $('input[name=type]:checked').val();
            el.onDataLoading('Mohon Tunggu Sebentar. Sedang Mengunduh Data Pembayaran...')
            let response = await $.get('/member/payment/list', {status});
            console.log(response);
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload']['data'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(paymentContent(v));
                    });
                    $('.card-invoice').on('click', function () {
                        let id = this.dataset.id;
                        let slug = this.dataset.slug;
                        if(slug === 'cart'){
                            window.location.href = '/member/invoice/detail/' + id;
                        }

                    })
                } else {
                    el.append(emptyContent());
                }
            }
        }

        $(document).ready(function () {
            getPaymentList();
            $('.check-status').on('click', function () {
                getPaymentList();
            });
        })
    </script>
{% endblock %}